package org.cs.mgr.product.ctl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.cs.core.ctl.BaseCtl;
import org.cs.util.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.cs.mgr.product.service.IMgmProductFollowService;
import org.cs.util.Pager;
import org.cs.mgr.product.model.MgmProductFollow;
import org.cs.util.StringUtil;
import com.alibaba.fastjson.JSONObject;


/**
 * 
 * @ClassName: MgmProductFollow 
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:29:10
 */
@Controller
@RequestMapping("/mgmProductFollowCtl")
public class MgmProductFollowCtl extends BaseCtl {

	private final Logger logger = LoggerFactory.getLogger(this.getClass());
	
	@Autowired
	private IMgmProductFollowService mgmProductFollowService;
	
	@RequestMapping("list")
	public String list(ModelMap mm, @RequestParam(required=false)String menuCode){
		mm.put(MENU_CODE, menuCode);
		this.set(MENU_CODE, menuCode);
		return "bis/mgmProductFollow/list";	
	}
	
	@RequestMapping(value="list2", method = RequestMethod.GET, produces="application/json;charset=UTF-8")
	@ResponseBody
	public String list2(int page, int pageSize){
		Pager pager = this.mgmProductFollowService.getMgmProductFollows(new Pager(page, pageSize));
		JSONObject json = new JSONObject();
		json.put("rows", pager.getResults());
		json.put("total", pager.getTotal());
		return JSONObject.toJSONString(json, features);
	
	}
	
	@RequestMapping("transfer")
	public String transfer(Integer id, String action, ModelMap mm){
		MgmProductFollow mgmProductFollow = null;
		if(id != null){
			mgmProductFollow = this.mgmProductFollowService.findById(id);
			mm.put("mgmProductFollow", mgmProductFollow);
		}
		return "bis/mgmProductFollow/" + action;
	}
	
	@RequestMapping(value="add", method = RequestMethod.POST)
	@ResponseBody
	public String add(MgmProductFollow mgmProductFollow){
		if(mgmProductFollow != null ){
			this.mgmProductFollowService.addMgmProductFollow(mgmProductFollow);
		}
		return AJAX_SUCCESS;
	}

    @RequestMapping(value="edit", method = RequestMethod.POST)
    @ResponseBody
    public String edit(MgmProductFollow mgmProductFollow){
        if(mgmProductFollow != null ){
            this.mgmProductFollowService.updateMgmProductFollow(mgmProductFollow);
        }
        return AJAX_SUCCESS;
    }

	
	
	
	@RequestMapping("del")
	@ResponseBody
	public String del(Integer id){
		if(id != null){
			this.mgmProductFollowService.delMgmProductFollow(id);
		}
		
		return AJAX_SUCCESS;
	}
	
	
	
		
}

